namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
    [Serialized]    
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(MinimapComponent))]                
    [RequireComponent(typeof(LinkComponent))]                   
    [RequireComponent(typeof(CraftingComponent))]               
    [RequireComponent(typeof(SolidGroundComponent))]            
    public partial class ChemistryTableObject : 
        WorldObject    
    {
        public override string FriendlyName { get { return "Chemistry Table"; } } 


        protected override void Initialize()
        {
            this.GetComponent<MinimapComponent>().Initialize("Crafting");                                 


        }

        public override void Destroy()
        {
            base.Destroy();
        }
       
    }

    [Serialized]
    public partial class ChemistryTableItem :
        WorldObjectItem<ChemistryTableObject> 
    {
        public override string FriendlyName { get { return "Chemistry Table"; } } 
        public override string Description  { get { return  "A Table for mixing stuff together"; } }

        static ChemistryTableItem()
        {
            
        }

    }


    [RequiresSkill(typeof(ChemSkill), 0)]
    public partial class ChemistryTableRecipe : Recipe
    {
        public ChemistryTableRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ChemistryTableItem>(),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<LogItem>(5),
                new CraftingElement<StoneItem>(10), 
				new CraftingElement<IronIngotItem>(1),				
            };
            this.CraftMinutes = new ConstantValue(10);
            this.Initialize("Chemistry Table", typeof(ChemistryTableRecipe));
			CraftingComponent.AddRecipe(typeof(WorkbenchObject), this);
        }
    }
}