namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;

    [RequiresSkill(typeof(TransmuteSmithSkill), 1)]
    public class TransmuteCoalRecipe : Recipe{
        public TransmuteCoalRecipe(){
            this.Products = new CraftingElement[]{
               new CraftingElement<CoalItem>(1),
            };
            this.Ingredients = new CraftingElement[]{
				new CraftingElement<CopperIngotItem>(1),
				new CraftingElement<StoneItem>(5),
				new CraftingElement<GoldIngotItem>(1),
				new CraftingElement<IronIngotItem>(1),
            };
            this.Initialize("Transmute Coal", typeof(TransmuteCoalRecipe));
            this.CraftMinutes = new ConstantValue(1);
            CraftingComponent.AddRecipe(typeof(ChemistryTableObject), this);
        }
    }
	[RequiresSkill(typeof(TransmuteSmithSkill), 1)]
    public class TransmuteCopperRecipe : Recipe{
        public TransmuteCopperRecipe(){
            this.Products = new CraftingElement[]{
               new CraftingElement<CopperIngotItem>(1),
            };
            this.Ingredients = new CraftingElement[]{
				new CraftingElement<CoalItem>(1),
				new CraftingElement<StoneItem>(5),
				new CraftingElement<GoldIngotItem>(1),
				new CraftingElement<IronIngotItem>(1),
            };
            this.Initialize("Transmute Copper", typeof(TransmuteCopperRecipe));
            this.CraftMinutes = new ConstantValue(1);
            CraftingComponent.AddRecipe(typeof(ChemistryTableObject), this);
        }
    }
	[RequiresSkill(typeof(TransmuteSmithSkill), 2)]
    public class TransmuteIronRecipe : Recipe{
        public TransmuteIronRecipe(){
            this.Products = new CraftingElement[]{
               new CraftingElement<IronIngotItem>(1),
            };
            this.Ingredients = new CraftingElement[]{
				new CraftingElement<CopperIngotItem>(1),
				new CraftingElement<StoneItem>(5),
				new CraftingElement<GoldIngotItem>(1),
				new CraftingElement<CoalItem>(1),
            };
            this.Initialize("Transmute Iron", typeof(TransmuteIronRecipe));
            this.CraftMinutes = new ConstantValue(1);
            CraftingComponent.AddRecipe(typeof(ChemistryTableObject), this);
        }
    }
	[RequiresSkill(typeof(TransmuteSmithSkill), 3)]
    public class TransmuteGoldRecipe : Recipe{
        public TransmuteGoldRecipe(){
            this.Products = new CraftingElement[]{
               new CraftingElement<GoldIngotItem>(1),
            };
            this.Ingredients = new CraftingElement[]{
				new CraftingElement<CopperIngotItem>(2),
				new CraftingElement<StoneItem>(5),
				new CraftingElement<IronIngotItem>(2),
				new CraftingElement<CoalItem>(2),
            };
            this.Initialize("Transmute Gold", typeof(TransmuteGoldRecipe));
            this.CraftMinutes = new ConstantValue(1);
            CraftingComponent.AddRecipe(typeof(ChemistryTableObject), this);
        }
    }
}